.beforeafter {
    content: '';
    display: block;
    position: absolute;
    box-sizing: border-box;
}

.webkitfix {
    -webkit-transform:translateZ(0);
}

.box-sizing(@value:border-box) {
    box-sizing: @value;
}

.b-shadow {
    box-shadow: 0 1px 0 0 rgba(0, 0, 0, 0.06), 0 2px 2px 0 rgba(0, 0, 0, 0.12);
}

.b-shadow_inset {
    box-shadow: 0 -1px 0 0 rgba(0, 0, 0, 0.12) inset, 0 2px 1px -1px rgba(0, 0, 0, 0.12) inset;
}

.box-shadow(@value:~"0 1px 0 0 rgba(0, 0, 0, 0.06), 0 1px 1px 0 rgba(0, 0, 0, 0.12)") {
    box-shadow: @value;
}

.border-radius(@value:4px) {
    border-radius: @value;
}

.transition(@value:all 0.25s ease 0s) {
    -webkit-transition: @value;
    transition: @value;
}

.transition-delay(@value) {
    -webkit-transition-delay: @value;
    transition-delay: @value;
}

.animation(@value) {
    -webkit-animation: @value;
    animation: @value;
}

.animation-duration(@value) {
    -webkit-animation-duration: @value;
    animation-duration: @value;
}

.transform(@value) {
    -webkit-transform: @value;
    transform: @value;
}

.transform-style(@value) {
    -webkit-transform-style: @value;
    transform-style: @value;
}

.perspective(@value) {
    -webkit-perspective: @value;
    perspective: @value;
}

.vertical(@start-color:rgba(255,255,255,1), @end-color:rgba(0,0,0,1), @start-percent: 0%, @end-percent: 100%) {
    background-image: -webkit-linear-gradient(top, @start-color @start-percent, @end-color @end-percent); // Safari 5.1-6, Chrome 10+
    background-image: linear-gradient(to bottom, @start-color @start-percent, @end-color @end-percent); // Standard, IE10, Firefox 16+, Opera 12.10+, Safari 7+, Chrome 26+
    background-repeat: repeat-x;
}

.linear(@angle:0deg, @start-color:rgba(255,255,255,1), @end-color:rgba(0,0,0,1), @start-percent: 0%, @end-percent: 100%) {
    background-image: -webkit-linear-gradient(@angle, @start-color @start-percent, @end-color @end-percent); // Safari 5.1-6, Chrome 10+
    background-image: linear-gradient(@angle, @start-color @start-percent, @end-color @end-percent); // Standard, IE10, Firefox 16+, Opera 12.10+, Safari 7+, Chrome 26+
    background-repeat: repeat-x;
}

.radial(@inner-color:#555, @outer-color:#333) {
    background-image: -moz-radial-gradient(ellipse cover, @inner-color, @outer-color); /* FF3.6+ */
    background-image: -webkit-radial-gradient(circle, @inner-color, @outer-color);
    background-image: radial-gradient(circle, @inner-color, @outer-color);
    background-repeat: no-repeat;
}

.clearfix {
    &:before,
    &:after {
        display: table;
        content: '';
        line-height: 0;
        height: 0;
    }
    &:after {
        clear: both;
    }
}

.oh {
    overflow: hidden !important;
}

.ov {
    overflow: visible !important;
}

.bgp_lc {
    background-position: left center;
}

.bgp_rc {
    background-position: right center;
}

.bgp_cc {
    background-position: center center;
}
